Ticket #2812 (closed enhancement: fixed)

Opened 9 years ago

Last modified 9 years ago

イー・モバイルの携帯電話対応

Reported by: ebihara Assigned to: kiwa
Priority: minor Milestone: OpenPNE2.13.2
Component: pne-ktai Version:
Keywords: Cc:

Description (Last modified by kiwa)

■概要

イー・モバイルの携帯電話に対応する。

■仕様

イー・モバイルのメールアドレスやユーザエージェントを携帯として識別する。

■関連情報

r7170 にて kunitsuji1109 さんから提供していただいたコードの取り込み。

Change History

07/12/08 21:28:51 changed by ebihara

sns.openpne.jp 内で、 つじくにさん が新機種に対応するためのコードを載せていました。

新しい機種でさらに新しいUAが出てきましたよ。。。いやだなぁ。

ということでパッチ。

//emobile
elseif (strpos($ua, 'emobile') !== false
|| stristr($this->_ua, 'Huawei') != false) {
$this->is_emobile = true;
$this->is_ktai = true;
}
elseif (isset($_SERVER['HTTP_X_EM_UID'])) {
$this->is_emobile = true;
$this->is_ktai = true;
}
ID取得のほうも変更

// emobile
elseif (strpos($ua, 'emobile') !== false
|| stristr($this->_ua, 'Huawei') != false
|| isset($_SERVER['HTTP_X_EM_UID'])
) {
$id = $_SERVER['HTTP_X_EM_UID'];
}

08/29/08 15:54:48 changed by kiwa

  • keywords set to 確認中.

上記の作業をtrunkで行いました。

08/29/08 16:03:40 changed by kiwa

  • description changed.

(follow-up: ↓ 9 ) 09/03/08 11:06:16 changed by kiwa

技術情報 | イー・モバイル
http://developer.emnet.ne.jp/ipaddress.html

emobileのIPアドレス対応が入っていない気がしますが、これは別チケットですか?それともこのチケットで対応しますか?

09/03/08 14:53:23 changed by ebihara

  • version deleted.

defect チケットではないので version の指定を外します。

09/03/08 17:06:53 changed by kiwa

  • is_emobile関数が存在しません
  • 携帯版フォントサイズ指定設定(OPENPNE_IS_SET_KTAI_FONT_SIZE)が反映されていないと思われます

09/03/08 17:24:44 changed by kiwa

  • keywords changed from 確認中 to 差し戻し.

(follow-up: ↓ 10 ) 09/03/08 21:47:10 changed by kiwa

実機ではないですが、軽く確認してみたところ以下のようなバグがあったのでチケット作成しました。

  • #2812 : 携帯メールドメイン制限の説明文の携帯ドメイン一覧にdisney.ne.jpとemnet.ne.jpがない
  • #2986 : Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する

(in reply to: ↑ 4 ) 09/03/08 22:19:48 changed by ebihara

Replying to kiwa:

技術情報 | イー・モバイル:: http://developer.emnet.ne.jp/ipaddress.html emobileのIPアドレス対応が入っていない気がしますが、これは別チケットですか?それともこのチケットで対応しますか?

このチケットの対応範囲だと思います。

(in reply to: ↑ 8 ; follow-up: ↓ 11 ) 09/03/08 22:20:14 changed by ebihara

Replying to kiwa:

* #2986 : Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する

これもこのチケットの対応範囲であるように思います。

(in reply to: ↑ 10 ) 09/03/08 22:38:39 changed by kiwa

Replying to ebihara:

Replying to kiwa:

* #2986 : Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する

これもこのチケットの対応範囲であるように思います。

#2986をduplicateで閉じました。内容をこちらに転記します。

■現象

postgreにて、携帯版友人招待(ktai_page_h_invite)で「!@emnet.ne.jp」に招待したときに限り以下のエラーが表示される。

msg:-> DB Error: mismatch info:-> UPDATE c_member_ktai_pre SET session = ,r_datetime = ,c_member_id_invite = ,is_disabled_regist_easy_access_id = WHERE ktai_address = ' @emnet.ne.jp' [DB Error: mismatch]

(follow-ups: ↓ 13 ↓ 19 ) 09/05/08 18:42:07 changed by ebihara

  • keywords changed from 差し戻し to 確認中.

r8212 で EMOBILE 端末の場合に DoCoMo? 絵文字を表示するよう修正しました。

r8213 で EMOBILE 端末のIPアドレス制限機能対応をおこないました。

以下の指摘事項についてですが確認できませんでした。

  • is_emobile関数が存在しません
  • Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する

「携帯版フォントサイズ指定設定(OPENPNE_IS_SET_KTAI_FONT_SIZE)が反映されていないと思われます」については、適合するフォントサイズは何であるかという検証をおこなわなくてはならないので、別チケットで対応する方がいいと思うのですがどうでしょうか。

(in reply to: ↑ 12 ; follow-ups: ↓ 14 ↓ 15 ) 09/05/08 18:53:00 changed by kunitsuji

以下の指摘事項についてですが確認できませんでした。 * is_emobile関数が存在しません

くわしく検証したわけではありませんが、 テンプレート上においてemobileとしての処理の振り分けがされていないように思います。 smartyのoutputだと思いますが、<font sizeをドコモの場合行っているようですが、そこで同じくfont sizeをis_emobile()で判断して行うか、または CSSの部分でAUとソフトバンクだけの判定ですが、emobileを入れるかしないと文字が通常のおおきさででますので、PNEの携帯画面ではかなり見づらくなります。

(in reply to: ↑ 13 ) 09/05/08 20:25:01 changed by ebihara

Replying to kunitsuji:

以下の指摘事項についてですが確認できませんでした。 * is_emobile関数が存在しません

くわしく検証したわけではありませんが、 テンプレート上においてemobileとしての処理の振り分けがされていないように思います。 smartyのoutputだと思いますが、<font sizeをドコモの場合行っているようですが、そこで同じくfont sizeをis_emobile()で判断して行うか、または CSSの部分でAUとソフトバンクだけの判定ですが、emobileを入れるかしないと文字が通常のおおきさででますので、PNEの携帯画面ではかなり見づらくなります。

フォントサイズ変更部分については現象を確認しています(別チケットで対応するのが適切でしょうかという提案もおこなっています)。

確認できなかったのはリストで提示した二点のみです。

(in reply to: ↑ 13 ) 09/05/08 20:30:35 changed by ebihara

Replying to kunitsuji:

以下の指摘事項についてですが確認できませんでした。 * is_emobile関数が存在しません

くわしく検証したわけではありませんが、 テンプレート上においてemobileとしての処理の振り分けがされていないように思います。 smartyのoutputだと思いますが、<font sizeをドコモの場合行っているようですが、そこで同じくfont sizeをis_emobile()で判断して行うか、または CSSの部分でAUとソフトバンクだけの判定ですが、emobileを入れるかしないと文字が通常のおおきさででますので、PNEの携帯画面ではかなり見づらくなります。

ちなみに、 is_emobile() 関数が存在しないという指摘についてですが、この指摘から、「他キャリアについても判定用の関数が存在しているのに is_emobile() という関数が定義されていない」という意味であると受け取りました。ところが他キャリアについても is_emobile() と同様に判定用の関数を用意しているということはありません。

この指摘の意図や、この指摘に至った経緯は不明ながらも、事実が確認できなかったのであのように書き残しておきました。

(follow-ups: ↓ 17 ↓ 18 ) 09/05/08 21:43:42 changed by kunitsuji

r8212にてis_mobile()が追加されていますね。 >ところが他キャリアについても is_emobile() と同様に判定用の関数を用意しているということはありません。

書かれているように、au、docomoなどの判定でis_docomoメソッドがあるのに、ということです。 これで処理を判定されるということでいいのではないでしょうか?

>この指摘の意図や、この指摘に至った経緯は不明ながらも きわわさんが書かれている内容に関して、理解されていないようでしたので、記述しました。 混乱されるようでしたら、今後は記述しません

(in reply to: ↑ 16 ) 09/05/08 21:44:08 changed by kunitsuji

Replying to kunitsuji:

r8212にてis_mobile()が追加されていますね。 >ところが他キャリアについても is_emobile() と同様に判定用の関数を用意しているということはありません。 書かれているように、au、docomoなどの判定でis_docomoメソッドがあるのに、ということです。 これで処理を判定されるということでいいのではないでしょうか? >この指摘の意図や、この指摘に至った経緯は不明ながらも

きわわさんが書かれている内容に関して、理解されていないようでしたので、記述しました。 混乱されるようでしたら、今後は記述しません

(in reply to: ↑ 16 ) 09/06/08 02:51:18 changed by ebihara

Replying to kunitsuji:

r8212にてis_mobile()が追加されていますね。

追加されていませんよ。

is_emobile() メソッドは r8156 時点で追加されています。

$is_mobile プロパティの明示的な宣言は r8212 まで存在していませんでした。動作上の影響はありませんがあまりよろしくはないので記述を追加しました。

たしかに混乱はするので、指摘をいただけるのはありがたいのですが、きちんと事実を把握してから指摘いただけるとよりありがたいです。

(in reply to: ↑ 12 ; follow-up: ↓ 20 ) 09/08/08 12:34:02 changed by kiwa

Replying to ebihara:

以下の指摘事項についてですが確認できませんでした。 * is_emobile関数が存在しません * Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する 「携帯版フォントサイズ指定設定(OPENPNE_IS_SET_KTAI_FONT_SIZE)が反映されていないと思われます」については、適合するフォントサイズは何であるかという検証をおこなわなくてはならないので、別チケットで対応する方がいいと思うのですがどうでしょうか。

is_emobile関数が存在しません について

is_emobile() メソッドは r8156 時点で追加されています。

is_emobileメソッドが既に追加されていることをきちんと把握しないで軽い発言をしていました。申し訳ありません。指摘の意図としては「is_emobile関数が存在しない→文字サイズの指定が成されていないのでは」ということでした。

きちんと事実を把握してから指摘いただけるとよりありがたいです。

以後気をつけます。

Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する について

テスト環境では何回でも再現しますが、新規設置して確認したところ再現しませんでした。テスト環境側の問題か、なにか別の条件があるのだと思います。

テスト環境

  • CentOS5
    • PHP 5.1.6
    • psql 8.1.9
  • OpenPNE2.12開発時から既に使用していたが、OpenPNE2.13.2開発段階(リビジョン不明)でDBのみ新しくした

その他実行できた環境

その1:テスト環境と同じサーバ

  • CentOS5
    • PHP 5.1.6
    • psql 8.1.9
  • r8216 時点のtrunkで新規設置

その2:自分のローカル環境

  • CentOS4.6
    • PHP4.3.9
    • psql 7.4.19
  • r8216 時点のtrunkで新規設置

携帯版フォントサイズ指定設定について

  • CSSで対応するのか、fontタグで対応するのか
  • フォントサイズはどれぐらいがちょうど良いのか

などについて、別チケットで検証を行うことに賛成します。

(in reply to: ↑ 19 ) 09/08/08 14:06:39 changed by ebihara

Replying to kiwa:

=== Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する について === テスト環境では何回でも再現しますが、新規設置して確認したところ再現しませんでした。テスト環境側の問題か、なにか別の条件があるのだと思います。

了解しました。テスト環境のDBを確認してみます。

=== 携帯版フォントサイズ指定設定について === * CSSで対応するのか、fontタグで対応するのか * フォントサイズはどれぐらいがちょうど良いのか などについて、別チケットで検証を行うことに賛成します。

ありがとうございます。

#2993 でチケットを作成しました。

(follow-up: ↓ 22 ) 09/08/08 16:54:46 changed by ebihara

「Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する」について検証しました。その結果、明らかにこのチケットの対応範囲を超えるため、別チケットで対応することにしたいと思います。

現象についてはそのチケットに詳述します。

(in reply to: ↑ 21 ) 09/08/08 17:53:38 changed by ebihara

Replying to ebihara:

「Postgres:携帯版招待画面で!@emnet.ne.jpに招待するとDB Errorが発生する」について検証しました。その結果、明らかにこのチケットの対応範囲を超えるため、別チケットで対応することにしたいと思います。 現象についてはそのチケットに詳述します。

#2995 でチケットを作成しました。この現象は PostgreSQL, MySQL にかかわらず発生します。また、招待画面以外の場所でも発生する可能性があります。

09/08/08 20:48:41 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

09/08/08 23:21:07 changed by ogawa

  • keywords changed from 確認中 to 差し戻し.

webapp/lib/OpenPNE/KtaiID.php でemobile判定コードのインデントがずれています。

09/08/08 23:24:44 changed by kiwa

  • description changed.
  • summary changed from e-mobile の携帯電話対応 to イー・モバイルの携帯電話対応.

09/09/08 00:24:25 changed by ebihara

  • keywords changed from 差し戻し to 確認中.

r8253 で修正しました。

09/09/08 02:37:14 changed by ogawa

  • keywords changed from 確認中 to テスト待ち.

09/09/08 02:45:50 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

イー・モバイルの実機が手元にないので個体識別番号やメール送信などのチェックはできませんが、UA判定などは問題なく行われました。また、実機で公式SNSに簡単ログイン登録ができ、携帯版で閲覧できるという報告もいただいています。よって、このチケットはこれで完了にします。